Bug 727305 - Review Request: python-iptables - Python library for manipulating iptables
Summary: Review Request: python-iptables - Python library for manipulating iptables
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Steven Dake
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-01 18:56 UTC by Chris Lalancette
Modified: 2016-04-26 13:52 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-03 19:59:29 UTC
sdake: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Chris Lalancette 2011-08-01 18:56:28 UTC
Spec URL: http://people.redhat.com/clalance/python-iptables/python-iptables.spec
SRPM URL: http://people.redhat.com/clalance/python-iptables/python-iptables-0.1.0-1.fc14.src.rpm

Description:
python-iptables is a library for doing iptables manipulations from python.

Comment 1 Steven Dake 2011-08-03 17:42:16 UTC
[ FAIL ] MUST: rpmlint must be run on every package

rpmlint /root/rpmbuild/RPMS/x86_64/python-iptables-0.1.0-1.fc15.x86_64.rpm
python-iptables.x86_64: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

I would recommend including the NOTICE file as a %doc section

[  OK  ] MUST: The package must be named according to the Package Naming 
         Guidelines
[  OK  ] MUST: The spec file name must match the base package %{name} [...]
[  OK  ] MUST: The package must meet the Packaging Guidelines
[  OK  ] MUST: The package must be licensed with a Fedora approved license
         and meet the Licensing Guidelines
[  OK  ] MUST: The License field in the package spec file must match the 
         actual license
[  FAIL ] MUST: If (and only if) the source package includes the text of the 
         license(s) in its own file, then that file, containing the text of 
         the license(s) for the package must be included in %doc
[  OK  ] MUST: The spec file must be written in American English.
[  OK  ] MUST: The spec file for the package MUST be legible.
[  OK   ] MUST: The sources used to build the package must match the upstream 
         source, as provided in the spec URL. Reviewers should use md5sum for 
         this task. If no upstream URL can be specified for this package, 
         please see the Source URL Guidelines for how to deal with this.

srpm tarball:
a43ff0e1fbc6382cdbc6317589813dc47ee37f610340906aefcfc44d6ecd9862  python-iptables-0.1.0.tar.gz

a43ff0e1fbc6382cdbc6317589813dc47ee37f610340906aefcfc44d6ecd9862  python-iptables-0.1.0.tar.gz


[  OK  ] MUST: The package MUST successfully compile and build into binary 
         rpms on at least one primary architecture
[  N/A ] MUST: If the package does not successfully compile, build or work on 
         an architecture, then those architectures should be listed in the 
         spec in ExcludeArch. Each architecture listed in ExcludeArch MUST 
         have a bug filed in bugzilla, describing the reason that the package 
         does not compile/build/work on that architecture. The bug number MUST 
         be placed in a comment, next to the corresponding ExcludeArch line
[  OK   ] MUST: All build dependencies must be listed in BuildRequires, except 
         for any that are listed in the exceptions section of the Packaging 
         Guidelines ; inclusion of those as BuildRequires is optional. Apply 
         common sense.
[  N/A ] MUST: The spec file MUST handle locales properly. This is done by 
         using the %find_lang macro. Using %{_datadir}/locale/* is strictly 
         forbidden
[  N/A ] MUST: Every binary RPM package (or subpackage) which stores shared 
         library files (not just symlinks) in any of the dynamic linker's 
         default paths, must call ldconfig in %post and %postun.
[  N/A ] MUST: If the package is designed to be relocatable, the packager must 
         state this fact in the request for review, along with the 
         rationalization for relocation of that specific package. Without 
         this, use of Prefix: /usr is considered a blocker.
[  OK  ] MUST: A package must own all directories that it creates. If it does 
         not create a directory that it uses, then it should require a package 
         which does create that directory.
[  OK  ] MUST: A package must not contain any duplicate files in the %files 
         listing.
[  OK  ] MUST: Permissions on files must be set properly. Executables should 
         be set with executable permissions, for example. Every %files section 
         must include a %defattr(...) line.
[  OK  ] MUST: Each package must consistently use macros.
[  OK  ] MUST: The package must contain code, or permissable content.
[  OK  ] MUST: Large documentation files must go in a -doc subpackage. (The 
         definition of large is left up to the packager's best judgement, but 
         is not restricted to size. Large can refer to either size or 
         quantity).
[  OK  ] MUST: If a package includes something as %doc, it must not affect the 
         runtime of the application. To summarize: If it is in %doc, the 
         program must run properly if it is not present.
[  N/A ] MUST: Header files must be in a -devel package.
[  N/A ] MUST: Static libraries must be in a -static package.
[  N/A ] MUST: Packages containing pkgconfig(.pc) files must 'Requires: 
         pkgconfig' (for directory ownership and usability).
[  N/A ] MUST: If a package contains library files with a suffix (e.g. 
         libfoo.so.1.1), then library files that end in .so (without suffix) 
         must go in a -devel package.
[  N/A ] MUST: In the vast majority of cases, devel packages must require the 
         base package using a fully versioned dependency: Requires: %{name} =
         %{version}-%{release}
[  N/A ] MUST: Packages must NOT contain any .la libtool archives, these must 
         be removed in the spec if they are built.
[  N/A ] MUST: Packages containing GUI applications must include a
         %{name}.desktop file, and that file must be properly installed with 
         desktop-file-install in the %install section. If you feel that your 
         packaged GUI application does not need a .desktop file, you must put 
         a comment in the spec file with your explanation.
[  OK  ] MUST: Packages must not own files or directories already owned by 
         other packages. The rule of thumb here is that the first package to 
         be installed should own the files or directories that other packages 
         may rely upon. This means, for example, that no package in Fedora 
         should ever share ownership with any of the files or directories 
         owned by the filesystem or man package. If you feel that you have a 
         good reason to own a file or directory that another package owns, 
         then please present that at package review time.
[  OK  ] MUST: All filenames in rpm packages must be valid UTF-8.
[  N/A ] SHOULD: The description and summary sections in the package spec file
        should contain translations for supported Non-English languages, if
        available.
[  OK  ] SHOULD: The reviewer should test that the package builds in mock. -
[  OK  ] SHOULD: The package should compile and build into binary rpms on all
        supported architectures

http://koji.fedoraproject.org/koji/taskinfo?taskID=3250235

[   N/A ] SHOULD: The reviewer should test that the package functions as
        described. A package should not segfault instead of running, for
        example.

Not sure how to test - leave this to the packager

[  N/A  ] SHOULD: If scriptlets are used, those scriptlets must be sane. This is
        vague, and left up to the reviewers judgement to determine sanity.
[  N/A ] SHOULD: Usually, subpackages other than devel should require the base
        package using a fully versioned dependency.
[  N/A ] SHOULD: The placement of pkgconfig(.pc) files depends on their
        usecase, and this is usually for development purposes, so should be
        placed in a -devel pkg. A reasonable exception is that the main pkg
        itself is a devel tool not installed in a user runtime, e.g. gcc or
        gdb.
[  N/A ] SHOULD: If the package has file dependencies outside of /etc, /bin,
        /sbin, /usr/bin, or /usr/sbin consider requiring the package which
        provides the file instead of the file itself.
[  N/A ] SHOULD: your package should contain man pages for binaries/scripts. If
        it doesn't, work with upstream to add them where they make sense.[34]

Comment 2 Steven Dake 2011-08-03 17:43:19 UTC
fedora-review+ blocked on missing license file from %doc section.

Comment 3 Chris Lalancette 2011-08-03 18:02:34 UTC
Thanks for the review.  As you pointed out on IRC, the NOTICE file contains the license.  I've now added that as %doc to the SPEC, and uploaded a new version:

Spec: http://people.redhat.com/clalance/python-iptables/python-iptables.spec
SRPM: http://people.redhat.com/clalance/python-iptables/python-iptables-0.1.0-2.fc14.src.rpm

Comment 4 Steven Dake 2011-08-03 18:29:10 UTC
Package approved by reviewer.

scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=3250382

Comment 5 Chris Lalancette 2011-08-03 19:14:36 UTC
Thanks Steve, it is appreciated.

Comment 6 Chris Lalancette 2011-08-03 19:16:07 UTC
New Package SCM Request
=======================
Package Name: python-iptables
Short Description: Python library for manipulating iptables
Owners: clalance
Branches: f16
InitialCC:

Comment 7 Gwyn Ciesla 2011-08-03 19:16:50 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.